Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.rowset
Class JoinRowSetImpl

    java.lang.Object
      weblogic.jdbc.rowset.BaseRowSet
          weblogic.jdbc.rowset.CachedRowSetImpl
              weblogic.jdbc.rowset.JoinRowSetImpl

All Implemented Interfaces:
  Serializable, Cloneable, ResultSet, RowSet, CachedRowSet, FilteredRowSet, Joinable, JoinRowSet, SyncResolver, WebRowSet, SortedRowSet, WLCachedRowSet

    public class JoinRowSetImpl

extends CachedRowSetImpl
implements JoinRowSet

JoinRowSetImpl is an implementation of the JDBC JoinRowSet API (javax.sql.JoinRowSet). The JoinRowSet interface describes a mechanism by which a meaningful relationship can be drawn between any standard RowSet implementations. Any number of disconnected RowSet objects can be added to an instance of JoinRowSet provided the RowSet objects can be related in a SQL JOIN By definition, the SQL JOIN statement is used to combine the data contained in two relational database tables based upon a common attribute. By establishing and then enforcing column matches, a JoinRowSet object establishes relationships between RowSet instances without the need for database access. This permits greater flexibility, particularly for disconnected applications.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.sql.rowset.JoinRowSet
`CROSS_JOIN, FULL_JOIN, INNER_JOIN, LEFT_OUTER_JOIN, RIGHT_OUTER_JOIN`

Fields inherited from interface javax.sql.rowset.WebRowSet
`PUBLIC_XML_SCHEMA, SCHEMA_SYSTEM_ID`

Fields inherited from interface javax.sql.rowset.CachedRowSet
`COMMIT_ON_ACCEPT_CHANGES`

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Fields inherited from interface weblogic.jdbc.rowset.WLCachedRowSet
`ALL_ROWS, CHANGED_ALL, CHANGED_CURRENT, CHANGED_ORIGINAL, CURRENT_ALL, UNCHANGED_CURRENT`

Fields inherited from interface javax.sql.rowset.spi.SyncResolver
`DELETE_ROW_CONFLICT, INSERT_ROW_CONFLICT, NO_ROW_CONFLICT, UPDATE_ROW_CONFLICT`

Constructor Summary
`JoinRowSetImpl()` Constructor

Method Summary
`void` | `addRowSet(Joinable rowset)` Adds the given RowSet object to this JoinRowSet object
`void` | `addRowSet(RowSet[] rowset, int[] columnIdx)` Adds the given RowSet objects to the JOIN relationship and sets the designated columns as the match columns
`void` | `addRowSet(RowSet[] rowset, String[] columnName)` Adds the given RowSet objects to the JOIN relationship and sets the designated columns as the match columns
`void` | `addRowSet(RowSet rowset, int columnIdx)` Adds the given RowSet object to the JOIN relation and sets the designated column as the match column
`void` | `addRowSet(RowSet rowset, String columnName)` Adds the given RowSet object to the JOIN relationship and sets the designated column as the match column
`int` | `getJoinType()` Returns the last set SQL JOIN type in this JoinRowSetImpl object
`String[]` | `getRowSetNames()` Returns a string array of the RowSet names currently residing with the JoinRowSet object instance
`Collection` | `getRowSets()` Returns a Collection of the RowSet object instances currently residing with the instance of the JoinRowSet object instance.
`String` | `getWhereClause()` Return a SQL-like description of the WHERE clause being used in a JoinRowSet object instance.
`void` | `setJoinType(int joinType)` Sets the type of SQL JOIN that this JoinRowSet object will use
`boolean` | `supportsCrossJoin()` Returns true if this JoinRowSet object supports an SQL CROSS_JOIN and false if it does not
`boolean` | `supportsFullJoin()` Returns true if this JoinRowSet object supports an SQL FULL_JOIN and false if it does not
`boolean` | `supportsInnerJoin()` Returns true if this JoinRowSet object supports an SQL INNER_JOIN and false if it does not
`boolean` | `supportsLeftOuterJoin()` Returns true if this JoinRowSet object supports an SQL LEFT_OUTER_JOIN and false if it does not
`boolean` | `supportsRightOuterJoin()` Returns true if this JoinRowSet object supports an SQL RIGHT_OUTER_JOIN and false if it does not
`CachedRowSet` | `toCachedRowSet()` Creates a separate CachedRowSet object that contains the data in this JoinRowSet object

Methods inherited from class weblogic.jdbc.rowset.CachedRowSetImpl
`acceptChanges, acceptChanges, cancelRowUpdates, clone, close, commit, createCopy, createCopyNoConstraints, createCopySchema, createShared, deleteRow, execute, execute, getCurrentRow, getFilter, getOriginal, getOriginalRow, getPageSize, getRow, insertRow, moveToCurrentRow, moveToInsertRow, nextPage, populate, populate, previousPage, readXml, readXml, readXml, refreshRow, release, restoreOriginal, rollback, rollback, rowSetPopulated, setFilter, setOriginalRow, setPageSize, setSorter, size, toCollection, undoDelete, undoInsert, undoUpdate, updateRow, writeXml, writeXml, writeXml, writeXml`

Methods inherited from class weblogic.jdbc.rowset.BaseRowSet
`absolute, addRowSetListener, afterLast, beforeFirst, clearParameters, clearWarnings, columnUpdated, columnUpdated, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getCommand, getConcurrency, getConnection, getCursorName, getDataSource, getDataSourceName, getDate, getDate, getDate, getDate, getDouble, getDouble, getEscapeProcessing, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getKeyColumns, getLong, getLong, getMatchColumnIndexes, getMatchColumnNames, getMaxFieldSize, getMaxRows, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getParams, getPassword, getQueryTimeout, getRef, getRef, getRow, getRowId, getRowId, getRowSetWarnings, getShort, getShort, getShowDeleted, getSQLXML, getSQLXML, getStatement, getString, getString, getSyncProvider, getTableName, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getTransactionIsolation, getType, getTypeMap, getUnicodeStream, getUnicodeStream, getUrl, getURL, getURL, getUsername, getWarnings, isAfterLast, isBeforeFirst, isClosed, isComplete, isFirst, isLast, isReadOnly, last, next, previous, relative, removeRowSetListener, rowDeleted, rowInserted, rowUpdated, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCommand, setConcurrency, setDataSource, setDataSourceName, setDate, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setInt, setIsComplete, setKeyColumns, setLong, setMatchColumn, setMatchColumn, setMatchColumn, setMatchColumn, setMaxFieldSize, setMaxRows, setMetaData, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNString, setNString, setNull, setNull, setObject, setObject, setObject, setPassword, setQueryTimeout, setReadOnly, setReadOnlyInternal, setRef, setRowId, setRowId, setShort, setShowDeleted, setSQLXML, setSQLXML, setString, setSyncProvider, setTableName, setTime, setTime, setTimestamp, setTimestamp, setTransactionIsolation, setType, setTypeMap, setUrl, setUsername, setWriter, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.rowset.WebRowSet
`readXml, readXml, writeXml, writeXml, writeXml, writeXml`

Methods inherited from interface javax.sql.rowset.CachedRowSet
`acceptChanges, acceptChanges, columnUpdated, columnUpdated, commit, createCopy, createCopyNoConstraints, createCopySchema, createShared, execute, getKeyColumns, getOriginal, getOriginalRow, getPageSize, getRowSetWarnings, getShowDeleted, getSyncProvider, getTableName, nextPage, populate, populate, previousPage, release, restoreOriginal, rollback, rollback, rowSetPopulated, setKeyColumns, setMetaData, setOriginalRow, setPageSize, setShowDeleted, setSyncProvider, setTableName, size, toCollection, toCollection, toCollection, undoDelete, undoInsert, undoUpdate`

Methods inherited from interface javax.sql.RowSet
`addRowSetListener, clearParameters, execute, getCommand, getDataSourceName, getEscapeProcessing, getMaxFieldSize, getMaxRows, getPassword, getQueryTimeout, getTransactionIsolation, getTypeMap, getUrl, getUsername, isReadOnly, removeRowSetListener, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCommand, setConcurrency, setDataSourceName, setDate, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setObject, setPassword, setQueryTimeout, setReadOnly, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setTransactionIsolation, setType, setTypeMap, setUrl, setUsername`

Methods inherited from interface java.sql.ResultSet
`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getShort, getShort, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from interface javax.sql.rowset.Joinable
`getMatchColumnIndexes, getMatchColumnNames, setMatchColumn, setMatchColumn, setMatchColumn, setMatchColumn, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn, unsetMatchColumn`

Methods inherited from interface weblogic.jdbc.rowset.WLCachedRowSet
`executeAndGuessTableName, executeAndGuessTableNameAndPrimaryKeys, getDataSource, getRows, getRows, isComplete, loadXML, moveToUpdateRow, populate, setDataSource, setRowSetSynced, setRowSynced, writeXML, writeXML`

Methods inherited from interface weblogic.jdbc.rowset.SortedRowSet
`getSorter`

Methods inherited from interface javax.sql.rowset.spi.SyncResolver
`getConflictValue, getConflictValue, getStatus, nextConflict, previousConflict, setResolvedValue, setResolvedValue`

Constructor Detail

### JoinRowSetImpl

    public JoinRowSetImpl()

  Constructor

Method Detail

### addRowSet

    public void addRowSet(Joinable rowset)
                   throws SQLException

  Adds the given RowSet object to this JoinRowSet object

  Specified by:
    `addRowSet` in interface `JoinRowSet`
  Throws:
    `SQLException`

### addRowSet

    public void addRowSet(RowSet rowset,
                          int columnIdx)
                   throws SQLException

  Adds the given RowSet object to the JOIN relation and sets the designated column as the match column

  Specified by:
    `addRowSet` in interface `JoinRowSet`
  Throws:
    `SQLException`

### addRowSet

    public void addRowSet(RowSet rowset,
                          String columnName)
                   throws SQLException

  Adds the given RowSet object to the JOIN relationship and sets the designated column as the match column

  Specified by:
    `addRowSet` in interface `JoinRowSet`
  Throws:
    `SQLException`

### addRowSet

    public void addRowSet(RowSet[] rowset,
                          int[] columnIdx)
                   throws SQLException

  Adds the given RowSet objects to the JOIN relationship and sets the designated columns as the match columns

  Specified by:
    `addRowSet` in interface `JoinRowSet`
  Throws:
    `SQLException`

### addRowSet

    public void addRowSet(RowSet[] rowset,
                          String[] columnName)
                   throws SQLException

  Adds the given RowSet objects to the JOIN relationship and sets the designated columns as the match columns

  Specified by:
    `addRowSet` in interface `JoinRowSet`
  Throws:
    `SQLException`

### getRowSets

    public Collection getRowSets()
                          throws SQLException

  Returns a Collection of the RowSet object instances currently residing with the instance of the JoinRowSet object instance.

  Specified by:
    `getRowSets` in interface `JoinRowSet`
  Throws:
    `SQLException`

### getRowSetNames

    public String[] getRowSetNames()
                            throws SQLException

  Returns a string array of the RowSet names currently residing with the JoinRowSet object instance

  Specified by:
    `getRowSetNames` in interface `JoinRowSet`
  Throws:
    `SQLException`

### toCachedRowSet

    public CachedRowSet toCachedRowSet()
                                throws SQLException

  Creates a separate CachedRowSet object that contains the data in this JoinRowSet object

  Specified by:
    `toCachedRowSet` in interface `JoinRowSet`
  Throws:
    `SQLException`

### supportsCrossJoin

    public boolean supportsCrossJoin()

  Returns true if this JoinRowSet object supports an SQL CROSS_JOIN and false if it does not

  Specified by:
    `supportsCrossJoin` in interface `JoinRowSet`

### supportsInnerJoin

    public boolean supportsInnerJoin()

  Returns true if this JoinRowSet object supports an SQL INNER_JOIN and false if it does not

  Specified by:
    `supportsInnerJoin` in interface `JoinRowSet`

### supportsLeftOuterJoin

    public boolean supportsLeftOuterJoin()

  Returns true if this JoinRowSet object supports an SQL LEFT_OUTER_JOIN and false if it does not

  Specified by:
    `supportsLeftOuterJoin` in interface `JoinRowSet`

### supportsRightOuterJoin

    public boolean supportsRightOuterJoin()

  Returns true if this JoinRowSet object supports an SQL RIGHT_OUTER_JOIN and false if it does not

  Specified by:
    `supportsRightOuterJoin` in interface `JoinRowSet`

### supportsFullJoin

    public boolean supportsFullJoin()

  Returns true if this JoinRowSet object supports an SQL FULL_JOIN and false if it does not

  Specified by:
    `supportsFullJoin` in interface `JoinRowSet`

### getJoinType

    public int getJoinType()

  Returns the last set SQL JOIN type in this JoinRowSetImpl object

  Specified by:
    `getJoinType` in interface `JoinRowSet`

### setJoinType

    public void setJoinType(int joinType)
                     throws SQLException

  Sets the type of SQL JOIN that this JoinRowSet object will use

  Specified by:
    `setJoinType` in interface `JoinRowSet`
  Throws:
    `SQLException`

### getWhereClause

    public String getWhereClause()
                          throws SQLException

  Return a SQL-like description of the WHERE clause being used in a JoinRowSet object instance.

  Specified by:
    `getWhereClause` in interface `JoinRowSet`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD